<div class="flex-row full-height" sqtmCoreWorkspace="home-workspace">
  <sqtm-core-nav-bar class="full-height flex-fixed-size"></sqtm-core-nav-bar>
  @if (homeWorkspaceService.componentData$ | async; as componentData) {
    <div
      class="content-wrapper full-width neutral-background-color flex-column overflow-hidden"
    >
      <sqtm-core-configurable-banner />
      <div class="p-20">
        <div class="flex-row flex-fixed-size full-width">
          <button
            [attr.data-test-element-id]="'show-welcome-message-button'"
            class="m-l-auto"
            nz-button
            [nzType]="'primary'"
            (click)="handleShowWelcomeMessage()"
          >
            {{ 'sqtm-core.generic.label.message' | translate }}
          </button>
          <button
            [attr.data-test-element-id]="'show-dashboard-button'"
            class="m-l-20"
            nz-button
            [nzType]="'primary'"
            (click)="handleShowDashboard()"
          >
            {{ 'sqtm-core.generic.label.dashboard.title' | translate }}
          </button>
        </div>
        @if (licenseMessage) {
          <div
            [attr.data-test-element-id]="'license-message-container'"
            class="full-width message-wrapper container-background-color container-border m-t-20 p-20 color-red"
            style="overflow: auto"
            [innerHTML]="licenseMessage"
          ></div>
        }
        @if (componentData.showDashboard) {
          <div
            [attr.data-test-element-id]="'dashboard-container'"
            class="full-width message-wrapper container-background-color container-border m-t-20"
            style="overflow: auto"
          >
            <div style="height: 84vh">
              @if (componentData.dashboard) {
                @if (
                  componentData.dashboard.chartBindings.length !== 0 ||
                  componentData.dashboard.reportBindings.length !== 0
                ) {
                  <sqtm-app-custom-dashboard
                    [chartBindings]="getChartBindings(componentData.dashboard)"
                  >
                  </sqtm-app-custom-dashboard>
                } @else {
                  <div style="height: 84vh; text-align: center">
                    <span style="font-weight: 600">
                      {{
                        'sqtm-core.custom-report-workspace.dashboard-view.empty-favorite.label'
                          | translate
                      }}
                    </span>
                  </div>
                }
              } @else {
                <div style="text-align: center">
                  <span style="font-weight: 600">{{
                    'sqtm-core.generic.workspace.messages.add-favorite-dashboard'
                      | translate
                  }}</span>
                </div>
              }
            </div>
          </div>
        } @else {
          <div
            [attr.data-test-element-id]="'welcome-message-container'"
            class="full-width message-wrapper container-background-color container-border m-t-20"
            style="overflow: auto"
          >
            @if (componentData.welcomeMessage) {
              <div
                [attr.data-test-element-id]="'custom-welcome-message'"
                class="p-20"
                [innerHTML]="componentData.welcomeMessage | safeRichContent"
              ></div>
            } @else {
              <div
                [attr.data-test-element-id]="'default-welcome-message'"
                class="p-20"
              >
                {{ 'sqtm-core.home-workspace.empty-message' | translate }}
              </div>
            }
          </div>
        }
      </div>
    </div>
    <ng-template #welcomeMessage>
      <div
        [attr.data-test-element-id]="'welcome-message-container'"
        class="full-width message-wrapper container-background-color container-border m-t-20"
        style="overflow: auto"
      >
        @if (componentData.welcomeMessage) {
          <div
            [attr.data-test-element-id]="'custom-welcome-message'"
            class="p-20"
            [innerHTML]="componentData.welcomeMessage | safeRichContent"
          ></div>
        } @else {
          <div
            [attr.data-test-element-id]="'default-welcome-message'"
            class="p-20"
          >
            {{ 'sqtm-core.home-workspace.empty-message' | translate }}
          </div>
        }
      </div>
    </ng-template>
  } @else {
    <div class="full-height full-width">
      <sqtm-core-full-page-loading-icon></sqtm-core-full-page-loading-icon>
    </div>
  }
</div>
